package no.ntnu.ime.xsltgenerator.client.models;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;


public class SaxParserResult implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -919568575229930019L;
	private String xpath;
	private HashMap<String, HashMap<String, String>> data;
	private List<SaxParserResultData> entries;

	public SaxParserResult(){
		xpath = "";
		data = new HashMap<String, HashMap<String,String>>();
		entries = new ArrayList<SaxParserResultData>();
	}
	
	public SaxParserResult(String xpath,
			HashMap<String, HashMap<String, String>> data,
			List<SaxParserResultData> sprdList) {
				this.xpath = xpath;
				this.data = data;
				this.entries = sprdList;
	}

	public String getXPath() {
		return xpath;
	}

	public List<SaxParserResultData> getEntries() {
		return entries;
	}

	public HashMap<String, HashMap<String, String>> getData() {
		return data;
	}

}
