package no.ntnu.ime.libxsltgenerator.models;

import java.io.Serializable;

public class SaxParserResultData implements Serializable {

	private static final long serialVersionUID = 5986196146894019312L;


	public SaxParserResultData(){};
	
	private String content;
	private String type;
	private String query;
	
	
	public SaxParserResultData(String content, String type, String query) {
		super();
		this.content = content;
		this.type = type;
		this.query = query;
	}
	
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getQuery() {
		return query;
	}
	public void setQuery(String query) {
		this.query = query;
	}
	
	@Override
	public String toString() {
		return "Type: " + getType() + " Path: " + getQuery() + " Content: " + getContent();
	}
	
	
	
}
