package no.ntnu.ime.libxsltgenerator.parser.identifiers;

public enum GroupElementTypes implements ElementTypes {
	GENERIC_GROUP_NODE("Gruppe"),
	GROUP_ID("Gruppe ID"),
	GROUP_DESCRIPTION("Beskrivelse");
	
	public final String description;
	
	GroupElementTypes(String description){
		this.description = description;
	}
	
	public static GroupElementTypes descriptionToEnumValue(String description){
		for (GroupElementTypes e : GroupElementTypes.values()){
			if (e.description.equals(description)){
				return e;
			}
		}
		return null;
	}
	
	public String toString(){
		return this.description;
	}
}
