package no.ntnu.ime.libxsltgenerator.parser.identifiers;

public enum OrganizationElementTypes implements ElementTypes {
	
		ORGANIZATION_ID("Organisasjons ID"),
		ORGANIZATION_NAME("Organisasjonsnavn");
		
		public final String description;
		
		OrganizationElementTypes(String description){
			this.description = description;
		}
		
		public static OrganizationElementTypes descriptionToEnumValue(String description){
			for (OrganizationElementTypes e : OrganizationElementTypes.values()){
				if (e.description.equals(description)){
					return e;
				}
			}
			return null;
		}
		public String toString(){
			return this.description;
		}
}
