import java.io.File;
import java.util.List;
import java.util.Map;

import no.ntnu.ime.libxsltgenerator.XSLTGenerator;
import no.ntnu.ime.libxsltgenerator.models.SaxParserResult;

import org.junit.Test;


public class SmokeTest {

	private static final String FIXTURE_XML = "file:///home/klette/meldal.xml";

	@Test
	public void test() throws Exception, Exception {
		XSLTGenerator generator = new XSLTGenerator();
		Map<String, List<SaxParserResult>> parsingResults = generator.parseXMLSource(FIXTURE_XML);
		String generatedXSLT = generator.getXlstForDataset("/", parsingResults);
		
		File xmlSourceFile = generator.retrieveXMLSource(FIXTURE_XML);
		String translatedXML = generator.attemptConversion(generatedXSLT, xmlSourceFile);
		//System.out.println(translatedXML);
		System.out.println(generatedXSLT);
	}

}
