package no.ntnu.ime.xmlconverter.server;

import java.util.ArrayList;

import no.ntnu.ime.xsltgenerator.server.parser.identifiers.OrganizationNodeIdentifiers;
import no.ntnu.ime.xsltgenerator.server.parser.identifiers.PersonNodeContentAnalyzer;

public class NodeIdentifier {
	private NodeIdentifier(){}

	public static ArrayList<NodeIdentType> getNodeIdentifiers(String nodeValue){
		ArrayList<NodeIdentType> types = new ArrayList<NodeIdentType>();
		
		if (PersonNodeContentAnalyzer.isPersonId(nodeValue))
			types.add(NodeIdentType.PERSON_SSN);
		if (OrganizationNodeIdentifiers.isValidOrganizationNumber(nodeValue))
			types.add(NodeIdentType.ORG_ORGID);
		
		return types;
	}
	
}
