package no.ntnu.ime.xmlconverter.server;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import no.ntnu.ime.xsltgenerator.server.generator.XSLTGenerator;

import org.junit.Test;

public class XLSTGeneratorTest {
	
	@Test
	public void XLSTGeneratorShouldBeAbleToInitialize(){
		XSLTGenerator generator = new XSLTGenerator();
		assertNotNull(generator);
	}
	/*
	@Test
	public void addPersonShouldAddPersonTemplateToXLST(){
		XSLTGenerator generator = new XSLTGenerator();
		generator.addPerson("/document/persons/person", new HashMap<String, String>());
		String expected = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" + 
		  "<xsl:stylesheet xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" version=\"1.0\">" +
		  "<xsl:output method=\"xml\" indent=\"yes\"/>" +
		  "<xsl:template match=\"/document/persons/person\"><of:person>" +
		  "</of:person></xsl:template>" +
		  "</xsl:stylesheet>";
		String xlst = generator.getTransformation().toString();
		assertEquals(expected, xlst);
	}
	
	@Test
	public void addPersonShouldAddPersonTemplateToXLSTWithDataIfAvailable(){
		XSLTGenerator generator = new XSLTGenerator();
		ArrayList<SaxParserResultData> data = new ArrayList<SaxParserResultData>();
		data.put("Personnummer", "/document/persons/person/personid");
		generator.addPerson("/document/persons/person", data);
		String expected = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" + 
		  "<xsl:stylesheet xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" version=\"1.0\">" +
		  "<xsl:output method=\"xml\" indent=\"yes\"/>" +
		  "<xsl:template match=\"/document/persons/person\">" +
		  "<of:person>" +
		  "<of:norEduPersonNIN><xsl:value-of select=\"/document/persons/person/personid\"/></of:norEduPersonNIN>"+
		  "</of:person>" +
		  "</xsl:template>" +
		  "</xsl:stylesheet>";
		String xlst = generator.getTransformation().toString();
		assertEquals(expected, xlst);
	}
	*/
	@Test
	public void shouldProduceEmptyXlstOnNoData(){
		XSLTGenerator generator = new XSLTGenerator();
		String xlst = generator.getTransformation().toString();
		String expected = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" + 
						  "<xsl:stylesheet xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" version=\"1.0\">" +
						  "<xsl:output method=\"xml\" indent=\"yes\"/>" +
						  "</xsl:stylesheet>";
		assertEquals(expected, xlst);
	}

}
