package no.ntnu.ime.libxsltgenerator.generator;

import java.util.ArrayList;

import org.apache.commons.lang.StringUtils;

public class GeneratedXSLT {
	private static final String xlstHeader = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" + 
	        "<xsl:stylesheet xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" xmlns:of=\"irn://xlst.klette.us/\" version=\"1.0\">"
	    + "<xsl:output method=\"xml\" indent=\"yes\"/>"
	    + " <xsl:output omit-xml-declaration=\"no\" indent=\"yes\"/>"
;
    private static final String xlstFooter = "<xsl:strip-space elements=\"*\"/>"
	    + "<xsl:template match=\"text()|@*\"></xsl:template><xsl:apply-templates /></xsl:stylesheet>";
	
	private ArrayList<String> parts = new ArrayList<String>();
	
	@Override
	public String toString(){
		return  xlstHeader + StringUtils.join(parts, "") + xlstFooter;
	}
	public void addPart(String string) {
		parts.add(string);
	}
}
