package no.ntnu.ime.libxsltgenerator.parser.identifiers;

import java.util.Arrays;

public class GroupElementAnalyzer extends ElementAnalyzer<GroupElementTypes> {
	
	public GroupElementAnalyzer(){
		addMatcherPairs(GroupElementTypes.GENERIC_GROUP_NODE, Arrays.asList(GENERIC_GROUP_EXPRESSIONS));
		addMatcherPairs(GroupElementTypes.GROUP_DESCRIPTION, Arrays.asList(GROUP_DESCRIPTION_EXPRESSION));
		addMatcherPairs(GroupElementTypes.GROUP_ID, Arrays.asList(GROUP_ID_EXPRESSIONS));
	}
	
	private static final String[] GENERIC_GROUP_EXPRESSIONS = {
		"group",
		"gruppe",
		"gruppering"
	};
	private static final String[] GROUP_ID_EXPRESSIONS = {
		"groupid",
		"gruppeid",
		"group-id",
		"gruppe-id"
	};
	private static final String[] GROUP_DESCRIPTION_EXPRESSION = {
		"description",
		"beskrivelse"
	};
}
