package no.ntnu.ime.libxsltgenerator.parser.identifiers;

public enum PersonElementTypes implements ElementTypes {
	FIRST_NAME("Fornavn"),
	LAST_NAME("Etternavn"),
	MIDDLE_NAME("Mellomnavn"),
	GIVEN_NAME("Fornavn"),
	SSN("Personnummer"),
	GENERIC_NAME_NODE("Navn"),
 GENDER(
	    "Kj�nn"), BIRTH_NODE("F�dtselsdato"),
	ZIP_CODE("Postnummer"),
	GENERIC_ADDRESS_NODE("Adresse"),
	COUNTRY("Land"),
	CITY("By"),
	STREET("Gate"),
	GENERIC_CONTACT_NODE("Kontaktpunkt");

	public final String description;
	
	PersonElementTypes(String description){
		this.description = description;
	}
	
	public static PersonElementTypes descriptionToEnumValue(String description){
		for (PersonElementTypes e : PersonElementTypes.values()){
			if (e.description.equals(description)){
				return e;
			}
		}
		return null;
	}
	public String toString(){
		return this.description;
	}
}
