package no.ntnu.ime.libxsltgenerator.parser.identifiers;

public enum RelationElementTypes implements ElementTypes {
	GENERIC_RELATION("Medlemskap",0),
	RELATION_ORG_ID("Organisasjons-ID",1),
	RELATION_GROUP_ID("Gruppe ID",1),
	RELATION_PERSON_ID("PersonID",2);
	
	public final String description;
	public final int type;
	
	public static final int GROUPING_TYPE = 0;
	public static final int SUBJECT_TYPE = 1;
	public static final int OBJECT_TYPE = 2;
	
	RelationElementTypes(String description, int type){
		this.description = description;
		this.type = type;
	}
	
	public static RelationElementTypes descriptionToEnumValue(String description){
		for (RelationElementTypes e : RelationElementTypes.values()){
			if (e.description.equals(description)){
				return e;
			}
		}
		return null;
	}
	public String toString(){
		return this.description;
	}
}
